## sysvinit 2.71-2

=== src/Makefile ===
#
# Makefile	Makefile for the systemV init suite.
#		Targets:   all      compiles everything
#		           install  installs the binaries (not the scripts)
#                          clean    cleans up
#
# Version:	@(#)Makefile  2.71  05-May-1997  MvS
#

CC	= cc
CFLAGS	= -Wall -O2 -D_GNU_SOURCE
LDFLAGS	= -s
STATIC	=

# Use the first 2 lines to build all of the programs (some are non-debian).
# PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
#		last mesg wall
PROGS	= init halt shutdown killall5 runlevel sulogin last mesg

BIN_OWNER	= root
BIN_GROUP	= root
BIN_COMBO	= $(BIN_OWNER).$(BIN_GROUP)
INSTALL		= install -o $(BIN_OWNER) -g $(BIN_GROUP)

ifneq ($(wildcard /usr/lib/libcrypt.a),)
LIBS		= -lcrypt
endif

all:		$(PROGS)

init:		init.o init_utmp.o
		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o

halt:		halt.o ifdown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o

last:		last.o
		$(CC) $(LDFLAGS) -o $@ last.o

mesg:		mesg.o
		$(CC) $(LDFLAGS) -o $@ mesg.o

utmpdump:	utmpdump.o
		$(CC) $(LDFLAGS) -o $@ utmpdump.o

runlevel:	runlevel.o
		$(CC) $(LDFLAGS) -o $@ runlevel.o

sulogin:	sulogin.o
		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LIBS)

wall:		dowall.o wall.o
		$(CC) $(LDFLAGS) -o $@ dowall.o wall.o

shutdown:	dowall.o shutdown.o utmp.o reboot.h
		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o

init.o:		init.c init.h set.h reboot.h
		$(CC) -c $(CFLAGS) init.c

utmp.o:		utmp.c init.h
		$(CC) -c $(CFLAGS) utmp.c

init_utmp.o:	utmp.c init.h
		$(CC) -c $(CFLAGS) -DINIT_MAIN utmp.c -o init_utmp.o

cleanobjs:
		rm -f *.o *.bak

clean:		cleanobjs
		@echo Type \"make clobber\" to really clean up.

clobber:	cleanobjs
		rm -f $(PROGS)

install:
		$(INSTALL) -m 755 halt init killall5 sulogin \
			runlevel shutdown $(ROOT)/sbin
		# These are not installed by default
		# $(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
		# $(INSTALL) -m 755 etc/initscript.sample $(ROOT)/etc
		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/man/man5
		# Some manpages not installed by default.
		# $(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/man/man1
		$(INSTALL) -m 644 ../man/last.1 ../man/lastb.1 ../man/mesg.1 \
			$(ROOT)/usr/man/man1
		#
		# This part is skipped on debian systems, the
		# debian.preinst script takes care of it.
		@if [ ! -p /dev/initctl ]; then \
		 echo "Creating /dev/initctl"; \
		 rm -f /dev/initctl; \
		 mknod -m 600 /dev/initctl p; fi

=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 2.1.1.0

Package: sysvinit
Essential: yes
Architecture: any
Pre-depends: ${shlibs:Depends}
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init.
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

# Name.
package = sysvinit
tmp     = $(shell pwd)/debian/tmp

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make)
	touch build

# Architecture independant files.
binary-indep:   build
	$(checkdir)

# Make a binary package (.deb file)
binary-arch:	build checkroot
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/doc
	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
	cp -af debian/etc/* $(tmp)/etc
	mv $(tmp)/etc/inittab $(tmp)/usr/doc/$(package)/examples
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
	(cd src; make ROOT=$(tmp) install )
	gzip -9f $(tmp)/usr/man/man*/*
	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
	install -g root -m 644 debian/rc.local.5 $(tmp)/usr/man/man5
	install -g root -m 644 -o root debian/README \
	  $(tmp)/usr/doc/$(package)/copyright
	cp debian/preinst $(tmp)/DEBIAN/preinst
	cp debian/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 644 -o root debian/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps src/init
	dpkg-gencontrol
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## sysvinit 2.73-1

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		           install  installs the binaries (not the scripts)
 #                          clean    cleans up
 #
-# Version:	@(#)Makefile  2.71  05-May-1997  MvS
+# Version:	@(#)Makefile  2.72  06-Jul-1997  MvS
 #
 
 CC	= cc
@@ -22,17 +22,21 @@
 BIN_COMBO	= $(BIN_OWNER).$(BIN_GROUP)
 INSTALL		= install -o $(BIN_OWNER) -g $(BIN_GROUP)
 
+# Additional libs for Gnu Libc
 ifneq ($(wildcard /usr/lib/libcrypt.a),)
-LIBS		= -lcrypt
+LCRYPT		= -lcrypt
 endif
+#ifneq ($(wildcard /usr/lib/libutil.a),)
+#LUTIL		= -lutil
+#endif
 
 all:		$(PROGS)
 
 init:		init.o init_utmp.o
-		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o
+		$(CC) $(LDFLAGS) $(STATIC) -o $@ init.o init_utmp.o $(LUTIL)
 
 halt:		halt.o ifdown.o utmp.o reboot.h
-		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o
+		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o $(LUTIL)
 
 last:		last.o
 		$(CC) $(LDFLAGS) -o $@ last.o
@@ -47,13 +51,13 @@
 		$(CC) $(LDFLAGS) -o $@ runlevel.o
 
 sulogin:	sulogin.o
-		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LIBS)
+		$(CC) $(LDFLAGS) $(STATIC) -o $@ sulogin.o $(LCRYPT)
 
 wall:		dowall.o wall.o
 		$(CC) $(LDFLAGS) -o $@ dowall.o wall.o
 
 shutdown:	dowall.o shutdown.o utmp.o reboot.h
-		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o
+		$(CC) $(LDFLAGS) -o $@ dowall.o shutdown.o utmp.o $(LUTIL)
 
 init.o:		init.c init.h set.h reboot.h
 		$(CC) -c $(CFLAGS) init.c
@@ -82,6 +86,7 @@
 		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
 		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
+		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
 		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8

=== debian/changelog ===
sysvinit (2.73-1) unstable; urgency=low

  * Use siginterrupt, now that system calls are restarted by default.
    Main symptom was that the sulogin timeout didn't work but there
    might have been more hidden problems.
  * Kill process immidiately if turned off in inittab
  * Fixed sulogin check on tty arg.
  * Use strerror() instead of sys_errlist
  * Chop up the reboot and halt scripts into seperate scripts. I had to
    take some liberties so they are called with the argument "stop" even
    though the scripts are Sxx scripts .. (start scripts in runlevel 0&6
    seem non-intuitive anyway)
  * wall now supports a '-n' option to suppress [most of] the banner.
    Debian doesn't use sysvinit's wall, but apparently Redhat does.
  * Add '-F' (forcefsck) option to shutdown
  * Depends on kbd_0.95-2 (or higher) package for /etc/rcS.d stuff.
  * Close and reopen /dev/initctl on SIGUSR1 (mainly for a /dev in ram)
  * Add FSCKFIX option to /etc/default/rcS
  * Wrote rcS.5 manpage describing /etc/default/rcS
  * Fixes bugs:
    #13435: Could shutdown provide a way to force fsck?
    #14108: sysvinit: sulogin's timeout does not work anymore
    #14179: sysvinit: /etc/init.d/(halt|reboot) need to call mdstop
    #14357: sysvinit: typo errors into script shells
    #15010: shutdown is too fast
    #15405: sysvinit: changelog uncompressed
    #15751: "sulogin -t <timeout>" does not time out
    #15758: Outdated reference in README

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  3 Jan 1998 16:32:39 +0100

sysvinit (2.72-3) unstable; urgency=low

  * Remove perl check from preinst
  * Add extra fork() in dowall.c to avoid hanging in rare cases
  * Conflict with file-rc (<= 0.4.1)
  * The 2.72 series fix the following bugs:
     #9819: sysvinit: Typo in `pidof` manual
     #9820: sysvinit: Incorrect filenames in `shutdown` manual
     #9821: sysvinit: `init` manual gives incorrect information
     #9822: sysvinit: `inittab` manual
     #10045: sysvinit: error message "no more processes..."
     #10276: sysvinit has uncompressed manpages.
     #11728: libc6
     #11879: sysvinit: file in /tmp security hole
     #12172: Sysvinit: Contains powerd manpage but not powerd
     #12465: Trivial typos in killall5 man page
     #12631: sysvinit: unchecked prompting in postinst
     #13290: clock is now hwclock
     #13300: patch to init.d/boot for compressed keymaps
     #13344: sysvinit: command 'clock' not found
     #13789: sysvinit: /etc/init.d/boot calls "clock", should call "hwclock"
     #13830: sysvinit: Upgrading to new sysvinit left system unusable
     #13838: sysvinit: gratuitous use of perl

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 22 Oct 1997 14:44:00 +0200

sysvinit (2.72-2) unstable; urgency=high

  * Don't use perl in postinst. Use more flexible regexp to match the
    sysinit line.
  * Remove /etc/default/boot from package
  * Fix settime.sh for hwclock

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 14 Oct 1997 12:40:23 +0200

sysvinit (2.72) unstable; urgency=low

  * Applied manual page patches by Bill Hawes <whawes@star.net>.  Thanks Bill!
  * Applied patches to the sample Slackware scripts by
    "Jonathan I. Kamens" <jik@kamens.brookline.ma.us>
  * Fix halt and reboot runlevels 0 & 6 check.
  * Only say "no more processes left in runlevel x" once
  * Fix race condition with SIGCHLD in spawn()
    (thanks to Alon Ziv <alonz@CS.Technion.AC.IL>)
  * Compress all manpages (missed 2)
  * Compiled for libc6
  * Split up /etc/init.d/boot into seperate files in /etc/rcS.d
  * Remove powerd.8 from debian package
  * Fix /etc/init.d/settime.sh to look for hwclock first
  * Added poweroff patch by Roderich Schupp <rsch@ExperTeam.de>

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 12 Oct 1997 17:20:17 +0200

sysvinit (2.71-2) frozen unstable; urgency=low

  * Print 2.71 instead of 2.70 on startup :)
  * Fix /etc/init.d/skeleton for new console messages standard.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 5 May 1997 12:45:25 +0200

sysvinit (2.71-1) frozen unstable; urgency=high

  * Added code for updwtmp() in utmp.c for glibc (2.0.3)
  * Fixed all programs to use functions from utmp.c and getutent()
  * Do not try to clean up utmp in init itself (Bug#9022)
  * Removed sync() from main loop.
  * Fix bug #8739 (/fastboot)
  * Hopefully fixes bug #8657 (shutdown signal handling)
  * Mount /proc before modules are loaded
  * Check on both /etc/init.d/modules and modutils (Bug#9058, #8398)
  * Fix PATH order (Bug#8087)
  * Fix console messages (Bug#8899)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 26 Apr 1997 19:57:27 +0200

sysvinit (2.70-1) unstable; urgency=low

  * small fix for postinst (Bug#5866)
  * Respawn fix
  * Removed StUdLy CaPs from source code
  * Moved files in source archive around
  * Moved mdadd in "boot" script to get called after module loading
  * Fixes for glibc (utmp handling, signal handling).
  * Fixed '-d' option to last (now also works without '-a').
  * Added extra checking in last.c to prevent showing dead entries

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 7 Feb 1997 15:31:30 +0100

sysvinit (2.69-1) frozen unstable; urgency=medium

  * Fixed bug that can throw X in a loop (or any other app that reads from
    /dev/tty0)
  * Moved inittab to /usr/doc/sysvinit/examples so that it is no longer
    a config file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Dec 1996 15:32:24 +0100

sysvinit (2.68-1) frozen unstable; urgency=high

  * Added dummy fsck.nfs [temporary] (Bug#5492)
  * Changing /etc/motd optional (Bug#5493)
  * Typo in /etc/init.d/urandom fixed (Bug#5556)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Nov 1996 17:30:36 +0100

sysvinit (2.67-1) frozen unstable; urgency=high

  * Fixes problem with /dev/console being controlling terminal of some
    daemons
  * Some fixes in debian bootup script "boot"
  * Puts copyright file in the right place


=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
 Essential: yes
 Architecture: any
 Pre-depends: ${shlibs:Depends}
-Conflicts: last
+Conflicts: last, file-rc (<= 0.4.1)
+Depends: kbd(>= 0.95-2)
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init.
  Init is the first program to run after your system is booted, and

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/doc
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
+	gzip -9f $(tmp)/usr/doc/$(package)/changelog
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/etc/* $(tmp)/etc
@@ -40,9 +41,9 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
 	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
 	(cd src; make ROOT=$(tmp) install )
+	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
+	install -g root -m 644 debian/rcS.5 $(tmp)/usr/man/man5
 	gzip -9f $(tmp)/usr/man/man*/*
-	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
-	install -g root -m 644 debian/rc.local.5 $(tmp)/usr/man/man5
 	install -g root -m 644 -o root debian/README \
 	  $(tmp)/usr/doc/$(package)/copyright
 	cp debian/preinst $(tmp)/DEBIAN/preinst
@@ -56,7 +57,7 @@
 
 clean:	checkroot
 	(cd src; make clobber )
-	rm -f build
+	rm -f build debian/files debian/substvars
 	rm -rf $(tmp)
 	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

## sysvinit 2.75-3

=== src/Makefile ===
--- 
+++ 
@@ -10,6 +10,8 @@
 CC	= cc
 CFLAGS	= -Wall -O2 -D_GNU_SOURCE
 LDFLAGS	= -s
+#CFLAGS	= -Wall -g -pg -D_GNU_SOURCE
+#LDFLAGS	= -pg
 STATIC	=
 
 # Use the first 2 lines to build all of the programs (some are non-debian).
@@ -38,7 +40,7 @@
 halt:		halt.o ifdown.o utmp.o reboot.h
 		$(CC) $(LDFLAGS) -o $@ halt.o ifdown.o utmp.o $(LUTIL)
 
-last:		last.o
+last:		last.o oldutmp.h
 		$(CC) $(LDFLAGS) -o $@ last.o
 
 mesg:		mesg.o
@@ -89,6 +91,7 @@
 		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
 		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
+		$(INSTALL) -m 644 initreq.h $(ROOT)/usr/include
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
 		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/man/man5
 		# Some manpages not installed by default.

=== debian/changelog ===
sysvinit (2.75-3) frozen unstable; urgency=high

  * Source /etc/default/rcS in all scripts, otherwise file-rc is broken.
  * Do not call update-rc.d for isapnp
  * Fixes:
    #23556: sysvinit tries to install isapnp
    #23270: sysvinit: /etc/default/rcS: comment should indicate time units
    #23191: /etc/default/rcS
    #23651: sysvinit: sysvinit fails to clean stale X locks in /tmp

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 22 Jun 1998 14:48:53 +0200

sysvinit (2.75-2) frozen unstable; urgency=medium

  * Fix last.c again.
  * Add check to see if /dev/initctl is really a FIFO
  * In ifdown.c first down all shaper devices then the real devices
  * Fixes bugs:
    #22840: sysvinit (2.75-1): patch request for sparc
    #22965: rcS is not sh independent
    #22945: Problems with last ( bug in sysvinit package)?
    #23005: sysvinit: [patch] install initreq.h for `genpowerd' patch.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  2 Jun 1998 22:43:01 +0200

sysvinit (2.75-1) frozen unstable; urgency=low

  * Rewrote last.c to be much more memory friendly and correct,
    thanks to Nick Andrew <nick@zeta.org.au> and
    David Parrish <dparrish@zeta.org.au>
  * Fixes bugs:
    #21616: sysvinit: sulogin thinks md5 root password is bad
    #21765: sysvinit: Typo in `killall5.c'
    #21775: sysvinit: sysvinit does not support MD5 hashed passwords
    #21990: /usr/bin/last: unnecessary memset and off-by-one bug
    #22023: sysvinit: nfs isn't mounted
    #22084: sysvinit 2.74-4: SIGPWR missing on sparc
    #21900: init, powerfail events, and shutdown.allow
    #21702: init 0 does not work as expected...
    #21728: sysvinit: Typo in `init.c'
    #22363: sysvinit: discrepance btw. manpage and /sbin/init
    #22579: power-off on halt

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 19 May 1998 11:02:29 +0200

sysvinit (2.74-4) frozen unstable; urgency=medium

  * Add -o option to last to process libc5 utmp files.
  * Buffer overflow fixed in init.c (not very serious; only exploitable
    by root). Thanks to Chris Evans <chris@ferret.lmh.ox.ac.uk>
  * Fixes:
    #20147: filesystems not unmounted on reboot
    #20702: sysvinit: example inittab is broken
    #20957: errors mounting remote filesystems
    #20063: fsck is _always_ called with -y option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 15 Apr 1998 17:04:33 +0200

sysvinit (2.74-3) frozen unstable; urgency=high

  * Install hwclock.sh (was missing!)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 19 Mar 1998 20:15:06 +0100

sysvinit (2.74-2) frozen unstable; urgency=high

  * Fix problem with removing kbd startup file
  * Fixes bugs;
    #19711: sysvinit: postinst uses /tmp/*.$$
    #14785: sysvinit: non executable scripts from examples
    #17004: suggestion for raidtools

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon, 16 Mar 1998 12:56:10 +0100

sysvinit (2.74-1) unstable; urgency=low

  * Should compile with glibc 1.99 :)
  * Now confirms to policy manual 2.4.0.0
  * Change behaviour of reboot(1) and halt(1) so that the default when
    the runlevel can't be determined is to call shutdown.
  * Updated README and skeleton
  * Depends on new dpkg for the new update-rc.d
  * Added re-exec patch from Al Viro (21 Feb 1998):
        'U' flag added to telinit. It forces init to re-exec itself
        (passing its state through exec, certainly).
        May be useful for smoother (heh) upgrades.
        24 Feb 1998, AV:
        did_boot made global and added to state - thanks, Miquel.
        Yet another file descriptors leak - close state pipe if
        re_exec fails.
  * Now no longer contains mdutils.sh and conflicts with older mdutils
  * /etc/rc.S/*.sh scripts that use set -e or exit no longer stop
    the whole boot process.
  * Fixes:
    #16082: sysvinit: filesystems do not get unmounted properly on shutdown
    #16977: sysvinit: libc6 twice into Pre-Depends
    #17012: sysvinit: minor typo in install
    #17084: /etc/rcS does not use a start arg
    #17276: sysvinit: SIGUSR1 causes init to eat CPU
    #18541: sysvinit: ^C aborts entire rcS script

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 12 Mar 1998 17:42:46 +0100

sysvinit (2.73-2) unstable; urgency=low

  * Change _NSIG to NSIG for 2.1.x kernel includes.
  * Hopefully fixes bug 16082, but we'll see..
  * Fixes bugs:
     #16622 sysvinit: should not depend on kbd
     #16807: /etc/init.d/mdutils.sh is started at bootup _and_ halt/reboot.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  8 Jan 1998 16:01:02 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	install -d -g root -m 755 -o root $(tmp)
 	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
 	install -d -g root -m 755 -o root $(tmp)/usr/doc
+	install -d -g root -m 755 -o root $(tmp)/usr/include
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
 	gzip -9f $(tmp)/usr/doc/$(package)/changelog

## sysvinit 2.76-3

=== debian/changelog ===
sysvinit (2.76-3) frozen unstable; urgency=high

  * Small bugfix to last.c courtesy of Danek Duvall <duvall@emufarm.ml.org>
  * Recompile with latest libs, so dependency on libc6 (>= 2.0.7u) is gone.
  * Fixes bugs:
    #31601: sysvinit: Doesn't wipe new files from /tmp
    #28132: checkroot.sh parsing of /etc/fstab is incorrect.
    #29729: sysvinit: references wrong policy homepage
    #27949: last: should use down instead of crash

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 12 Jan 1999 12:12:44 +0100

sysvinit (2.76-2) frozen unstable; urgency=high

  * Minor fix in debian/rules for dependency problem on the Alpha.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Nov 1998 10:54:28 +0100

sysvinit (2.76-1) frozen unstable; urgency=high

  * Fix bug in check_pipe() which crashes init on the Alpha.
  * Re-upload since this should go into frozen too, ofcourse.
  * Changed the version number to 2.76, even though it's a minor
    upgrade. I want to release this version outside Debian too.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  3 Nov 1998 11:09:13 +0100

sysvinit (2.75-4) unstable; urgency=low

  * Change sulogin password buffer to 128 characters.
  * Don't print control characters in dowall.c
  * Try to open getenv ("CONSOLE"), /dev/console and /dev/tty0 in order.
    For backwards compatibility when you try to boot a 2.0.x kernel
    with a linux > 2.1.70 /dev/console device.
  * Change src/Makefile for non-debian systems (mainly, RedHat)
  * Try to create /dev/initctl if not present; check every time to see
    if the dev/ino of /dev/initctl has changed and re-open it. This should
    help devfs a bit.
  * Send SIGUSR1 to init at bootup to let it re-open /dev/initctl;
    again in support of devfs.
  * Rewrite of mountnfs.sh by Chris Ulrich <cdulrich@ucdavis.edu>
  * Moved pidof to /bin (it's only a link to killall5 anyway)
  * Fixes bugs:
    #11895: pidof exists, is unreliable, and is not deprecated
    #23943: `"$FSCKFIX" = yes' needed in "checkroot.sh", too
    #24190: sysvinit: postinst and telinit u
    #25531: sysvinit: README refers to the fatman website
    #26115: sysvinit: There is no support for a read only root
    #26179: sysvinit: pidof in /sbin ? why ?
    #26281: sysvinit: Obsolete location for Policy Manual in /etc/init.d/README
    #15739: libc6: strange interferention between sleep() and fork()

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Oct 1998 14:03:14 +0200

## sysvinit 2.76-4

=== src/Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 # Makefile	Makefile for the systemV init suite.
 #		Targets:   all      compiles everything
 #		           install  installs the binaries (not the scripts)
-#                          clean    cleans up
+#                          clean    cleans up object files
+#			   clobber  really cleans up
 #
-# Version:	@(#)Makefile  2.72  06-Jul-1997  MvS
+# Version:	@(#)Makefile  2.75  30-Jul-1998  miquels@cistron.nl
 #
 
 CC	= cc
@@ -14,10 +15,13 @@
 #LDFLAGS	= -pg
 STATIC	=
 
-# Use the first 2 lines to build all of the programs (some are non-debian).
-# PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
-#		last mesg wall
+# For Debian we do not build all programs, otherwise we do.
+ifeq ($(DEBIAN),)
+PROGS	= init halt shutdown killall5 runlevel sulogin utmpdump \
+		last mesg wall
+else
 PROGS	= init halt shutdown killall5 runlevel sulogin last mesg
+endif
 
 BIN_OWNER	= root
 BIN_GROUP	= root
@@ -28,6 +32,7 @@
 ifneq ($(wildcard /usr/lib/libcrypt.a),)
 LCRYPT		= -lcrypt
 endif
+# -lutil only needed for glibc < 2.0.6 !
 #ifneq ($(wildcard /usr/lib/libutil.a),)
 #LUTIL		= -lutil
 #endif
@@ -83,19 +88,22 @@
 		$(INSTALL) -m 755 halt init killall5 sulogin \
 			runlevel shutdown $(ROOT)/sbin
 		# These are not installed by default
-		# $(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
+ifeq ($(DEBIAN),)
+		$(INSTALL) -m 555 utmpdump wall $(ROOT)/usr/bin
+endif
 		# $(INSTALL) -m 755 etc/initscript.sample $(ROOT)/etc
 		$(INSTALL) -m 755 mesg last $(ROOT)/usr/bin
-		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		cd $(ROOT)/sbin; ln -sf halt reboot; chown $(BIN_COMBO) reboot
 		cd $(ROOT)/sbin; ln -sf halt poweroff; chown $(BIN_COMBO) poweroff
-		cd $(ROOT)/sbin; ln -sf killall5 pidof; chown $(BIN_COMBO) pidof
 		cd $(ROOT)/sbin; ln -sf init telinit; chown $(BIN_COMBO) telinit
+		cd $(ROOT)/bin; ln -sf ../sbin/killall5 pidof; chown $(BIN_COMBO) pidof
+		cd $(ROOT)/usr/bin; ln -sf last lastb; chown $(BIN_COMBO) lastb
 		$(INSTALL) -m 644 initreq.h $(ROOT)/usr/include
 		$(INSTALL) -m 644 ../man/*.8 $(ROOT)/usr/man/man8
 		$(INSTALL) -m 644 ../man/*.5 $(ROOT)/usr/man/man5
-		# Some manpages not installed by default.
-		# $(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/man/man1
+ifeq ($(DEBIAN),)
+		$(INSTALL) -m 644 ../man/wall.1 $(ROOT)/usr/man/man1
+endif
 		$(INSTALL) -m 644 ../man/last.1 ../man/lastb.1 ../man/mesg.1 \
 			$(ROOT)/usr/man/man1
 		#

=== debian/changelog ===
sysvinit (2.76-4) unstable; urgency=low

  * Change dowall.c to handle Unix98 ptys correctly
  * Add comment in rcS about usage of setup.sh and unconfigured.sh
  * Shutdown now removes nologin file just before calling telinit
  * SEGV handler now tries to continue after sleep of 30 seconds.
    On a 386-class processor it also prints out the value of EIP.
  * Fix for racecondition in check_init_fifo() by Richard Gooch
  * Fixes:
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #35689: wall/shutdown cannot handle Unix98 PTYs
    #30392: sysvinit scripts are not executable
    #32699: bootmisc.sh: should check for existence of /dev/tty[p-za-e][0-9a-f]
    #34062: mountnfs.sh: ignore comments in fstab [patch]
    #34780: sysvinit: ignores most options for rootfs
    #35017: sysvinit: nologin after sungle user mode [sic]
    #36209: init: segmentation violation (possibly kernel)
    #36294: sysvinit: sulogin does not appear to recognize shadow passwords
    #36705: README in init.d has section number off by 0.1
    #36849: sysvinit: shutdown doesn't send shutdown message to unix98 ptys
    #36856: sysvinit: /etc/init.d/rc calls bash for no reason
    #37265: sysvinit: devpts incompatibility?
    #32698: sysvinit: checkroot.sh: should add devfs entry to mtab
    #33954: sysvinit: [wishlist] bootmisc.sh: touch /var/run/utmpx

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat,  8 May 1999 17:22:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: base
 Priority: required
 Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.4.0.0
 
 Package: sysvinit
 Essential: yes
 Architecture: any
 Pre-depends: ${shlibs:Depends}
-Conflicts: last, file-rc (<= 0.4.1)
-Depends: kbd(>= 0.95-2)
+Conflicts: last, file-rc (<= 0.4.2), kbd (<< 0.95-2), mdutils (<< 0.35-9)
+Depends: dpkg (>= 1.4.0.21), mount (>= 2.7l-1)
 Replaces: last, bsdutils (<=2.0-2)
 Description: System-V like init.
  Init is the first program to run after your system is booted, and

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 build:
 # Builds the binary package.
 	$(checkdir)
-	(cd src; make)
+	(cd src; make DEBIAN=cool)
 	touch build
 
 # Architecture independant files.
@@ -30,18 +30,20 @@
 	install -d -g root -m 755 -o root $(tmp)/usr/include
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)
 	install -g root -m 644 debian/changelog $(tmp)/usr/doc/$(package)
-	gzip -9f $(tmp)/usr/doc/$(package)/changelog
+	install -g root -m 644 debian/README.runlevels $(tmp)/usr/doc/$(package)
+	gzip -9f $(tmp)/usr/doc/$(package)/{changelog,README.runlevels}
 	install -d -g root -m 755 -o root $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/examples/* $(tmp)/usr/doc/$(package)/examples
 	cp -af debian/etc/* $(tmp)/etc
 	mv $(tmp)/etc/inittab $(tmp)/usr/doc/$(package)/examples
 	chmod -R g-w $(tmp)
 	chown -R root.root $(tmp)
+	install -d -g root -m 755 -o root $(tmp)/bin
 	install -d -g root -m 755 -o root $(tmp)/sbin
 	install -d -g root -m 755 -o root $(tmp)/usr/bin
 	install -d -g root -m 755 -o root $(tmp)/usr/man/man{1,5,8}
 	install -g root -m 755 debian/fsck.nfs $(tmp)/sbin/fsck.nfs
-	(cd src; make ROOT=$(tmp) install )
+	(cd src; make ROOT=$(tmp) DEBIAN=cool install )
 	install -g root -m 644 debian/rc.boot.5 $(tmp)/usr/man/man5
 	install -g root -m 644 debian/rcS.5 $(tmp)/usr/man/man5
 	gzip -9f $(tmp)/usr/man/man*/*

## sysvinit 2.78-4

=== debian/changelog ===
sysvinit (2.78-4) frozen unstable; urgency=high

  * In /etc/init.d/checkroot.sh, change 10>&0 into 9>&0, since
    ash doesn't handle file descriptors > 9

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 25 Jun 2000 14:03:04 +0200

sysvinit (2.78-3) frozen unstable; urgency=medium

  * Fix critical bug #61227: Kernel panic/filesystem corruption if
    swapping started while software RAID resyncing. As this doesn't
    matter on 99% of the installs out there it's up to the release
    manager to decide whether to put this in potato or not (closes: #61227).
  * Fix up /etc/init.d/README paths (closes: #58935,#58595)
  * Don't check root filesystem if "pass" in /etc/fstab is 0 (closes: #65125)
  * Unmount remote filesystems before network is shut down
    (closes: #60898,#61907). This also was a release-critical bug.
  * Changed "file systems" to "filesystems".

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  6 Jun 2000 11:08:24 +0200

sysvinit (2.78-2) frozen unstable; urgency=high

  * Change "booting" to "reloading" message at reload
  * Don't create /etc/init.d/network if missing (closes: #56373)
  * Treat SMB filesystems like NFS ones in mountall.sh and
    mountnfs.sh (fixes: #55414)
  * bootmisc.sh: do not remove files in /var/run that are newer
    than /etc/mtab. This should preserve pid files created before
    this script ran (closes: #49816)
  * Add "-z xxx" dummy command line argument (closes: #54717)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 11 Feb 2000 12:17:54 +0100

sysvinit (2.78-1) unstable; urgency=low

  * 2.78 will be the new upstream version, I'm skipping 2.77
  * Update /etc/init.d/rc (closes: #48764)
  * Add -C argument to fck (closes: #47914, #53335)
  * don't remove files in /var/run and /var/lock that are newer
    than /etc/mtab (may fix the dhcpcd problems)
  * Save kernel messages in /var/log/dmesg like RedHat does (closes: #47574)
  * Shutdown now calls sync before switching the runlevel to 0 or 6,
    or before unmounting filesystems if -n was used (closes: #46461)
  * Call umount with -f option to force NFS umounts (closes: #45715)
  * Fix TMPTIME documentation in rcS(5) (closes: #42570, #53224)
  * Some cosmetic changes to init.c (closes: #32079)
  * Move to /usr/share to comply with latest policy

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu, 30 Dec 1999 20:40:23 +0100

sysvinit (2.77-3) unstable; urgency=low

  * Remove hwclock.sh initialization and script itself (closes: #45164)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:52:02 +0200

sysvinit (2.77-2) unstable; urgency=low

  * Recompile against glibc 2.1 instead of 2.0
  * Fix compilation problems with glibc 2.1
  * Fix last -i option

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue,  5 Oct 1999 21:51:50 +0200

sysvinit (2.77-1) unstable; urgency=low

  * Write reboot record into utmp file as well to make rms happy
  * Change GMT to UTC in /etc/default/rcS
  * Change /var/run/utmp to mode 664 group utmp if utmp group exists
  * Fork and dump core in / if SIGSEGV is received for debugging purposes
  * Patch by Craig Sanders <cas@vicnet.net.au> for "last" -i option
  * Fixes:
    #35429: sysvinit: bad comments in /etc/defaults/rcS
    #37807: mountnfs.sh should start rpc.statd if available
    #38384: sysvinit: Slight gramitical error in /etc/init.d/README
    #41660: [Patch] bootmisc.sh: Change /var/run/utmp ownership to [...]
    #41458: mountnfs.sh: should ignore noauto
    #40923: sysvinit: /etc/ioctl.save a state file?
    #42183: util-linux: hwclock.sh depends on UTC which is not defined

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed,  4 Aug 1999 11:16:23 +0200

## sysvinit 2.85-22.osso10

=== debian/changelog ===
sysvinit (2.85-22.osso10) unstable; urgency=low

  * Fixed readlink and rm issues in update-rc.d 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 12 May 2006 16:02:49 +0300

sysvinit (2.85-22.osso9) unstable; urgency=low

  * use non-perl update-rc.d
  * invoke-rc.d not started in scratchbox

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 14 Mar 2006 14:30:07 +0200

sysvinit (2.85-22.osso8) unstable; urgency=low

  * remove last from the package (busybox provides it)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Tue, 24 Jan 2006 18:35:10 +0200

sysvinit (2.85-22.osso7) unstable; urgency=low

  * ptmalloc hacks

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  5 Sep 2005 10:27:58 +0300

sysvinit (2.85-22.osso6) unstable; urgency=low

  * remove debug statements (I declare this bugfree)

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 23 May 2005 11:54:08 +0300

sysvinit (2.85-22.osso5) unstable; urgency=low

  * Attempt to not go insane following signals and selects

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 18 May 2005 19:07:18 +0300

sysvinit (2.85-22.osso4) unstable; urgency=low

  * checkroot.sh: copy /etc/mounts to /etc/mtab
  * libc6-dev added to Build-Depends: field 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Wed, 12 Jan 2005 17:17:09 +0200

sysvinit (2.85-22.osso3) unstable; urgency=low

  * halt -> poweroff

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Thu, 25 Nov 2004 13:50:59 +0200

sysvinit (2.85-22.osso2) unstable; urgency=low

  * Adapted version for busybox
  * No fsck, since jffs2 will not have it either
  * removed swap, nfs, etc startup stuff
  * readlink -f and hostname -f instances removed
  * moved virtfs some mounting to udev and avoid running stuff twice

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  8 Nov 2004 11:17:20 +0200

sysvinit (2.85-22.osso1) unstable; urgency=low

  * Purged bootclean

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 20 Sep 2004 15:01:11 +0300

sysvinit (2.85-22) unstable; urgency=medium

  * Fix typo in /etc/init.d/halt (closes: #255133)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sat, 19 Jun 2004 12:40:12 +0200

sysvinit (2.85-21) unstable; urgency=medium

  * Create dependencies on glibc (>= 2.3.2.ds1-12) not through the
    shlibs.local hack anymore. That might clash with a future system
    shlibs file. Use the same method as we use to generate the
    mount dependency - with a script (closes: #253314).
  * In checkroot.sh always use the two-argument version of mount
    so that mount doesn't confuse device and directory (closes: #254724)
  * Change [ cond1 -a cond2 ] to [ cond1 ] && [ cond2 ] everywhere.
  * Fix mountvirtsfs, it broke for virtual filesystems mentioned in
    fstab without any options (closes: #254271)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 18 Jun 2004 13:43:55 +0200

sysvinit (2.85-20) unstable; urgency=low

  * Create /dev/pts in mountvirtfs for Linux + devfs (closes: #252625)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:45:12 +0200

sysvinit (2.85-19) unstable; urgency=low

  * Create /dev/{pts,shm} and /sys in postinst (closes: #252820, #252925)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  7 Jun 2004 13:30:31 +0200

sysvinit (2.85-18) unstable; urgency=medium

  * Fix typo in /etc/init.d/single (closes: #252611)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 14:38:55 +0200

sysvinit (2.85-17) unstable; urgency=low

  * On Debian/k*BSD, dmesg is in /sbin (closes: #252518)
  * On Debian/k*BSD, RB_HALT_SYSTEM is called RB_HALT
  * RB_POWEROFF can be RB_POWER_OFF (closes: #252547, #252598)
  * Add /sys, /dev/pts and /dev/shm to sysvinit. Remove the
    mkdir's for those directories from mountvirtfs.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri,  4 Jun 2004 11:51:46 +0200

sysvinit (2.85-16) unstable; urgency=high

  * Remove /etc/init.d/{mountkernfs,devpts.sh) that glibc installed
    since mountvirtfs now provides these. (closes: #230857)
  * Remove -e from mountvirtfs (closes: #232122)
  * Add some more comments/documentation to mountvirtfs
  * Initscripts depends on libc6 anyway right now, so we let it
    depend on libc6 (>= 2.3.2.ds1-12) via shlibs.local
  * Suggest sysv-rc-conf (closes: #244643)
  * Updated french manpage for update-rc.d (closes: #245007)
  * Use larger dmesg buffer (-s option) (closes: #242923)
  * Fix up comments in /etc/default/tmpfs (closes: #245681)
  * Added GNU/Hurd and kFreeBSD fixes (closes: #246743)
  * Run mountvirtfs again at S36 so that it mounts /proc/bus/usb in
    case usb was loaded as a module (closes: #249031)
  * Don't mkdir /dev/pts if it's not there - and don't mount devpts
    filesystem on it either in that case. Should help udev.
  * mountvirtfs now uses the options from /etc/fstab (closes: #251016)
  * add filesystem type "cifs" as network fs (closes: #248919)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  3 Jun 2004 20:03:33 +0200

sysvinit (2.85-15) unstable; urgency=high

  * Drop bogus dependency on fileutils (closes: #241570)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Mon,  5 Apr 2004 17:07:24 +0200

sysvinit (2.85-14) unstable; urgency=high

  * When remounting "/", just use "mount -n -o remount,rw /" and don't
    bother with the device or other arguments - "mount" will look up the
    root device in /etc/fstab, but the device argument to the mount
    system call is ignored by the kernel for remount anyway. So this
    doesn't hurt even if the device is incorrect, and it fixes a
    platform dependant case where "mount -n -o remount,rw <whatever> /"
    fails with "mount: you must specify the filesystem type". That
    is a bug in mount(8): if you don't specify the type, it passes
    garbage to the kernel, and some archs choke on that.
    (closes: #239735)
  * change checkroot.sh so that it never checks the root filesystem
    if root is on NFS even if fs_passno is set (closes: #240470)


=== debian/control ===
Source: sysvinit
Section: base
Priority: required
Maintainer: Miquel van Smoorenburg <miquels@cistron.nl>
Standards-Version: 3.5.2.0
Build-Depends: bash, libc6-dev

Package: sysvinit
Essential: yes
Architecture: any
Pre-Depends: ${shlibs:Depends}, initscripts, sysv-rc (>= 2.85-2) | file-rc (>> 0.7.0)
Depends: coreutils
Conflicts: last
Replaces: last, bsdutils (<=2.0-2)
Description: System-V like init
 Init is the first program to run after your system is booted, and
 continues to run as process number 1 until your system halts. Init's
 job is to start other programs that are essential to the operation of
 your system. All processes are descended from init. For more information,
 see the manual page init(8).

Package: sysv-rc
Architecture: all
Conflicts: file-rc
Replaces: dpkg (<< 1.9.17), sysvinit (<< 2.85-1), file-rc (>> 0.7.0)
Suggests: sysv-rc-conf
Description: Standard boot mechanism using symlinks in /etc/rc?.d
 This package provides support for the System-V like system of booting,
 shutting down and changing runlevels configured through symbolic
 links in the /etc/rc?.d directories.

Package: initscripts
Architecture: any
Replaces: sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
Depends: ${shlibs:Depends}
Conflicts: kbd (<< 0.95-2), mdutils (<< 0.35-9)
Description: Standard scripts needed for booting and shutting down
 These scripts are meant for standard Debian/GNU/Linux installations.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for sysvinit
#

tmp     = $(shell pwd)/debian/tmp
doc	= /usr/share/doc

SHELL	= /bin/bash
LC_ALL	= POSIX

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

LIBC6	= libc6
ifeq ($(DEB_HOST_ARCH), alpha)
LIBC6	= libc6.1
endif
ifeq ($(DEB_HOST_ARCH), ia64)
LIBC6	= libc6.1
endif

define checkdir
	test -f src/init.c
endef

build:
# Builds the binary package.
	$(checkdir)
	(cd src; make DISTRO=Debian)
	cc -Wall -s -o debian/readlink debian/readlink.c
	touch build

# Make a binary package (.deb file)
binary-arch:	build checkroot
	#
	#	Sysvinit.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/usr/include
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysvinit
	install -g root -m 644 doc/Changelog $(tmp)$(doc)/sysvinit/changelog
	install -g root -m 644 debian/changelog \
		$(tmp)$(doc)/sysvinit/changelog.Debian
	install -g root -m 644 debian/README.runlevels \
		$(tmp)$(doc)/sysvinit
	gzip -9f $(tmp)$(doc)/sysvinit/{README.runlevels,changelog*}
	if test -e debian/share/inittab.$(DEB_BUILD_GNU_TYPE) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_BUILD_GNU_TYPE) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	elif test -e debian/share/inittab.$(DEB_BUILD_GNU_SYSTEM) ; \
	then \
		install -g root -m 644 -o root \
			debian/share/inittab.$(DEB_BUILD_GNU_SYSTEM) \
			$(tmp)/usr/share/sysvinit/inittab ; \
	else \
		install -g root -m 644 -o root debian/share/inittab \
			$(tmp)/usr/share/sysvinit/inittab ; \
	fi
	install -g root -m 755 -o root debian/share/update-rc.d \
		$(tmp)/usr/share/sysvinit
	install -d -g root -m 755 -o root $(tmp)/{bin,sbin,lib,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/bin
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man{1,5,8}
	(cd src; make ROOT=$(tmp) DISTRO=Debian install )
	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
	rm -f $(tmp)/bin/mountpoint
	rm -f $(tmp)/usr/bin/last*
	rm -f $(tmp)/usr/share/man/man1/last*
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -g root -m 644 -o root debian/README \
	  $(tmp)$(doc)/sysvinit/copyright
	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit/copyright
	install -g root -m 755 debian/postinst $(tmp)/DEBIAN/postinst
	dpkg-shlibdeps src/init
	dpkg-gencontrol -psysvinit -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)
	#
	#	Initscripts.
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr,sbin,lib}
	install -d -g root -m 755 -o root $(tmp)/lib/init
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)/usr/share/initscripts
	install -d -g root -m 755 -o root $(tmp)$(doc)/initscripts
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/initscripts/changelog
	chmod 644 $(tmp)$(doc)/initscripts/changelog
	gzip -9f $(tmp)$(doc)/initscripts/*
	cp -af debian/initscripts/share/* $(tmp)/usr/share/initscripts
	cp -af debian/initscripts/etc/* $(tmp)/etc
	#ln -sf bootlogd $(tmp)/etc/init.d/stop-bootlogd
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	#chmod 644 $(tmp)/etc/init.d/bootclean.sh
	chmod -R g-w $(tmp)
	chown -R root.root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/bin
	install -d -g root -m 755 -o root $(tmp)/etc/default
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man1
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/var/lib/urandom
	#install -g root -m 755 debian/initscripts/sbin/fsck.nfs \
	#	$(tmp)/sbin/fsck.nfs
	install -g root -m 644 debian/initscripts/rcS.5 \
		$(tmp)/usr/share/man/man5
	install -g root -m 755 src/mountpoint $(tmp)/bin
	install -g root -m 755 man/mountpoint.1 $(tmp)/usr/share/man/man1
	install -g root -m 755 debian/readlink $(tmp)/lib/init
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
	install -g root -m 644 -o root debian/initscripts/copyright \
	  $(tmp)$(doc)/initscripts/copyright
	install -g root -m 755 debian/initscripts/preinst  $(tmp)/DEBIAN
	install -g root -m 755 debian/initscripts/postinst $(tmp)/DEBIAN
	install -g root -m 644 -o root debian/initscripts/conffiles \
	  $(tmp)/DEBIAN/conffiles
	dpkg-shlibdeps debian/readlink
	sh debian/deps-mount >> debian/substvars
	sh debian/deps-glibc >> debian/substvars
	dpkg-gencontrol -pinitscripts -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)


# Architecture independant files.
binary-indep:   build checkroot
	#
	#	sysv-rc
	#
	-rm -rf $(tmp)
	install -d -g root -m 755 -o root $(tmp)
	install -d -g root -m 755 -o root $(tmp)/{DEBIAN,etc,usr}
	install -d -g root -m 755 -o root $(tmp)/usr/share
	install -d -g root -m 755 -o root $(tmp)$(doc)/sysv-rc
	sed -ne '/sysvinit (2.84-3)/q' -e p < debian/changelog \
		> $(tmp)$(doc)/sysv-rc/changelog
	chmod 644 $(tmp)$(doc)/sysv-rc/changelog
	install -g root -m 644 debian/sysv-rc/doc/* $(tmp)$(doc)/sysv-rc
	gzip -9f $(tmp)$(doc)/sysv-rc/*
	install -d -g root -m 755 -o root $(tmp)/etc/rc{0,1,2,3,4,5,6}.d
	cp -af debian/sysv-rc/etc/* $(tmp)/etc
	chmod 755 $(tmp)/etc/init.d/[a-z]*
	chmod -R go=u-w $(tmp)/etc
	chown -R root.root $(tmp)/etc
	install -d -g root -m 755 -o root $(tmp)/usr/sbin
	install -d -g root -m 755 -o root $(tmp)/usr/share/man
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man5
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/ja/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/fr/man8
	install -d -g root -m 755 -o root $(tmp)/usr/share/man/es/man8
	install -g root -m 644 debian/sysv-rc/man8/*.8 \
		$(tmp)/usr/share/man/man8
	install -g root -m 644 debian/sysv-rc/man8/ja/*.8 \
		$(tmp)/usr/share/man/ja/man8
	install -g root -m 644 debian/sysv-rc/man8/fr/*.8 \
		$(tmp)/usr/share/man/fr/man8
	install -g root -m 644 debian/sysv-rc/man8/es/*.8 \
		$(tmp)/usr/share/man/es/man8
	install -g root -m 755 debian/sysv-rc/sbin/invoke-rc.d $(tmp)/usr/sbin
	install -g root -m 755 debian/sysv-rc/sbin/update-rc.d $(tmp)/usr/sbin
	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9] \
		 $(tmp)/usr/share/man/??/man*/*.[0-9]
	install -g root -m 644 -o root debian/sysv-rc/copyright \
	  $(tmp)$(doc)/sysv-rc/copyright
	install -g root -m 755 debian/sysv-rc/postinst $(tmp)/DEBIAN/postinst
	install -g root -m 755 debian/sysv-rc/postrm $(tmp)/DEBIAN/postrm
	dpkg-gencontrol -psysv-rc -P$(tmp) -isp
	dpkg --build $(tmp) ..
	rm -rf $(tmp)

clean:	checkroot
	(cd src; make clobber )
	rm -f build debian/files debian/substvars debian/readlink
	rm -rf $(tmp)
	find . -name '*.bak' -o -name '*~' | xargs -r rm -f --

binary: binary-arch binary-indep

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
